Extension talk:GbrowseImage

Jump to navigation Jump to search

About this board

UNIQ error for GbrowseImage extension in version 1.23.2

5
Xufwangr (talkcontribs)

I added the extension:GbrowseImage in my site. And configured it according to the instructions. But the UNIQ error occured, see example here.

What can I do for the correct result?

Best regards

Ciencia Al Poder (talkcontribs)

The extension GbrowseImage seems to be producing that bug, maybe it's incompatible with 1.23.

You should see if there's a recent version available for download, or try the fix that according to QINU fix is using the method recursiveTagParse of the parser instead of Parser::parse.

Xufwangr (talkcontribs)

Thank you Ciencia. But I am new to php programing. It is hard for me to correct the extension. Any other suggestions?

Ciencia Al Poder (talkcontribs)

I tested it, and I just needed to change this to make it work

function efGbrowseImageRender( $input, $args, &$parser, $frame = null ) {

by

function efGbrowseImageRender( $input, $args, $parser, $frame = null ) {

(removing the "&")

Xufwangr (talkcontribs)

Greatǃ Dear Cienica. It worksǃ Thank you so much.

Reply to "UNIQ error for GbrowseImage extension in version 1.23.2"
There are no older topics